#370 POSIX regex module deprecated in php 5.3

GIT
closed-accepted
None
5
2009-11-27
2009-10-30
Jason Jackson
No

The POSIX regular expressions (ereg, split, etc) module is deprecated in php 5.3. The recommended replacement is the PCRE (perl compatible regular expressions) module. I am attaching a git format-patch style patch that converts all usages of the POSIX module to PCRE methods.

Discussion

  • Hey Jason,

    Thanks for this patch !

    It seems you fixed some deprecated function call in adodb as well, but as youo may have noticed, I updated it today with their official release supporting php 5.3. Usually, we avoid to patch external lib to stick to official release.

    But there's lot more in your patch ! I'll work on it in the next days or so to commit it.

    Again, thank you for your help ! We'll build a 5.3 test env, maybe on our demo server, as soon as I get some more spare time.

     
    • milestone: --> GIT
     
  • Hey Jason,

    Sorry, I'm late on this, but I didn't forget you, I'm just a bit busy with new work and pgDay.eu presently.

    Hopefuly, I'll have some minutes next week to clean/push your patch !

    stay tuned ;)

     
    • assigned_to: nobody --> ioguix
     
    • status: open --> closed-accepted